AutoCad :: OSNAP Doesn't Find Intersection Of Some Lines?
Dec 1, 2009
I'm running 2002 and I have a drawing with an array of lines (forms a grid ceiling, actually). With OSNAP on I cannot grab the intersection of these lines, however, it does work on other lines in the drawing, as it usually does.
Using ACA 2011 and Win7 here... and I've noticed that the apparent intersection osnap does not want to work at all while working in a layout if the geometry I'm trying to snap to is also drawn in the layout.
If the geometry is in model space that osnap will work fine both in model space (through the viewport) and from outside the viewport.
I'm trying to find the point where 2 lines intersect. I extend both lines so they cross. But when I try to draw a point over where they cross & select intersection on the snap menu, it will not snap to where the 2 lines cross. I've attached the drawing.
I have to create a hole (extrude) in a wall part in my assembly document where a stack will be installed.
To determine where, I verify if a line segment pass through the wall (XY Plane).
But I get an error with the command: IntersectWithLine
Here's my
Public Function IntersectionPoint(ByVal app As Inventor.Application, ByVal wp As Inventor.WorkPlane) As Inventor.Point Dim oTransGeom As Inventor.TransientGeometry = app.TransientGeometry Dim startPoint As Inventor.Point = oTransGeom.CreatePoint(Me.StartVertex.X, [Code] ......
I'm using AutoCAD 2013 x64 and VS2012 Express with ObjectARX 2013. Now I want to calculate the (projected) intersection point of 2 (intersecting) lines in vb.net
After selecting the lines I have this line1.IntersectWith(line2, Intersect.OnBothOperands, intpts, 0, 0)
In Visual studio express 2012 I get the following warning for the above line of
warning BC40000: 'Public Sub IntersectWith(entityPointer As Autodesk.AutoCAD.DatabaseServices.Entity, intersectType As Autodesk.AutoCAD.DatabaseServices.Intersect, points As Autodesk.AutoCAD.Geometry.Point3dCollection, thisGraphicSystemMarker As Long, otherGraphicSystemMarker As Long)' is obsolete: 'Use the overload taking IntPtr instead.'.
So, if I'm reading this correctly, this method is outdated and I should use an other method to calculate the intersection. But I really don't know what 'Use the overload taking IntPtr instead' means.
One of the things I found is a function that contains this line of Dim inters As Point3d = line1.IntersectWith(line2)(0). This one looks almost the same, but doesn't give me the warning when I compile the code, but this method crashes AutoCAD when there is no intersection between the lines. This is despite a try catch block that surrounds the code.
For now I just want to use lines, but I need to expand the code so it will also work with circles, arcs and polylines.
I wonder how to get intersection lines between two surfaces in Civil3D API. It seems that the "MinimumDistBetweenSurfaces" command in Civil3D can do this work. But I can't find corresponding API.
I'm using ACA 2008 and used to be able to pick two lines that didn't physically cross each other and use the trim command to trim them based on where they would cross if they extended to each other. But it doesn't seem to do it anymore.
Best way I can describe it is it used to trim at the apparent interest ion of where they would come together. I'm sure there's some easy fix to this, just don't know where it's at.
I Posted This problem twice but it doesn't showed in the forum. I don't know why, whatever, My problem is making Array with a circle and a line[same as to radius]. When i use array between them to create 9 more lines, some lines are becomes bigger then the original line. why this happen? I attach a file to be understand clearly. Zoom the intersection point of lines and the circle.
I'm wondering if it's possible to find the point where two paths WOULD intersect, or possibly a way to "join by two paths", I want to join 2 paths by continuing them to the point where they would naturally meet. I've included an image.
Is it possible to select lines (maybe up to 6 lines) around an intersection point with a reference line. There is one intersection point and the lines are around it. And also, both the intersecting lines are in different layers.
How to get the ObjectARX's ArxDbg tool working on autocad 2012. ObjectARX 2010 sample project fails to open in VS2010 express.
What distinction is between “intersection” and “apparent intersection” in snaps,. I’m not sure what difference is between the “intersection” and “apparent intersection” in snaps.
I am trying to create an intersection design using the Intersection Tools in C3D 2012. I followed the steps in the tutorials, created a corridor on the major road, splitted the regions, created the intersection and added it to the major road corridor, and connect the regions with the intersection portion.
I used the same assembly throughout the design just for simplicity, however, i notice that there are gaps of curb between the curb return section and the through section (as outline in red rectangles).
Object Snap.jpg I want to pick the point where the circle hits the edge of the box but there seems to be no Intersection there. But they are on the same plane!
I am trying to follow some directions and the call for a spline to be drawn onto an image. I can only find a polyline which doesnt work like I need it to. As I understand it a polyline will put a curved line as close as it can to a series of points, whereas a spline will "join the dots". I need to join the dots but with a curve not a jagged straight edge.
I have a topographic profile of my site in autocad 2013. I need to calculate the volume of a valley on the map. I am looking for a quicker method to do this rather than building cross sections or integrating.
I am constructing a pipe (made up by sections) in Inventor. The pipe is going to be manufactured by cutting pieces of metal in a flow jet, roll them, and eventually weld them together.
I was wondering if it is possible to "unfold" the pipe sections to the plane, so I easily can see the cutting lines for the flowjet?
I downloaded a Batt insulation pattern but when i want to load it into my wall structure, it is not visible in my floor plan or in 3D.When i want do load it, i can'!I get a message that Revit doesn't find a drafting pattern but it is!!!
where to find a Batt insulation - drafting pattern?
Photoshop CS6 the " save for web" function to save on a network location. This network location isn't available to me at this time and now when I want to "save for web" I get an error like " can't perform the job, system can't find the submitted path" (which isn't the exact error but translated from the dutch error: "Kon de bewerking niet voltooien. Het Systeem kan het opgegeven pad niet vinden."
I have this text on a notepad and I want to make the same design in Corel Draw X6.
I have a few question. Which is the font used there? I tried looking through all the fonts in Corel and noone was the same. Sites like Whatthefont won't answer me correctly because the letters have white line inside.
My second question is this: I need to make the same design, so the white line should be in the letters. How to make that? Is this a font property or do I need to make it by hand? If it isn't a font property, how can I make it?
In selecting a point in a drawing to connect new poly lines to existing objects, is there a way to set the order to which osnap elements are used?I have perhaps 1/2 of the osnap element settings activated. End point, Mid point, Node, Intersection, etc.
When I go to select, it's like everything EXCEPT End Point is recognizing. And while I can go to right click, and select end point, I am now wondering, if besides the rt click, there is a way to preset the priority, or order in which the osnap elements recognize the type.Without resetting the settings each time.
I want to change the shortcuts for osnap on/off (default F3) and ortho on/off (default F8 ) to either F1 and F2, or some letter like q and w, or ctrl+w and ctrl+e.
I cant find them under cui-->all commands. Don´t know if they are there somewhere.
Is it possible to change them to either of the above shortcuts?
I prefer F1 and F2 if it´s possible, then q and w and last if neither of the other two is possible ctrl+w and ctrl+e.
My "Nearest" osnap is not even close to snapping to my circle. All other snaps are working fine, nearest snap are working on lines and rectangles, not at all on circles.